button,
input,
select {
    /* Go Home Apple, You're Drunk */
    border-radius: 0px;
}

/* FF fixes */
@-moz-document url-prefix() {
    .ui_menu_trigger>span {
        padding-top: 3px;
    }
}

input.disabled {
    opacity: .5;
}

#pressDel {
    position: sticky;
    top: 100vh;
}

#s42_bios em {
    font-style: normal;
}

#s42_bios a {
    display: inline-block;
    width: 100%;
    max-width: 350px;
    white-space: pre-wrap;
    vertical-align: top;
}

#s42_bios a:focus {
    background-color: #313131;
    box-shadow: 0 0 0 1px #313131;
    ;
    outline: none;
}

#s42_bios a:hover {
    border: 0
}

canvas.ansi {
    width: 100%;
    /*pointer-events:none;*/

}

.ansilove {
    background: #000;
    cursor: url(/c/sys/cursors/pointer.cur), pointer;
}

/* hires fix */
@media only screen and (-webkit-min-device-pixel-ratio: 2),
only screen and (min--moz-device-pixel-ratio: 2),
only screen and (-o-min-device-pixel-ratio: 2/1),
only screen and (min-device-pixel-ratio: 2),
only screen and (min-resolution: 192dpi),
only screen and (min-resolution: 2dppx) {
    img {
        image-rendering: auto;
        image-rendering: crisp-edges;
        image-rendering: pixelated;
    }
}


/* domenic/lite fix stuff more like win8 rp */
/* icon */
/*@font-face {
  font-family: icon;
  src: url("https://domenic.darkok.xyz/cors/mdl2.woff");
}*/

.ui_icon__lnk42:hover{
    border: solid 1px #b6d5ff4f;
    background-color:#aecbf226;
    margin: -1px;
    margin-left: 0px;
}

.ui_icon__lnk42.ui_selected>span{
    background: none;
    color: white;

}

.ui_icon.ui_selected:not(.ui_is_dragging)>.ico, .ui_icon.ui_selected:not(.ui_is_dragging)>img{

}

.ui_is_dragging:not(.ui_window){
    background: none !important;
    border: none !important;
    opacity: 0.5 !important;
    margin: -1px;
    margin-left: 0px;

}

.ui_is_dragging:not(.ui_window) > span{
    background: none !important;
    border: none !important;


}

.ui_icon__lnk42.ui_selected{
    border: solid 1px #86b9ffa1;
    background-color:#95c1fd6e;
    margin: -1px;
    margin-left: 0px;
}

#ui_explorer_0>.ui_icon>span{
    max-height: 26px;
}
.skin_background{
    /*background-image: url("https://cdn.discordapp.com/attachments/323150287399419904/706984719723659294/Mascaloona_-_Dakshin_16-9_1920_x_1080.jpg")*/

  /*  background-image: url("https://ismh.s3.amazonaws.com/macos-wallpapers/10-14-Mojave-1.jpg") */

    background-image: url("https://wallpapershome.com/images/wallpapers/iceland-5120x2880-5k-4k-wallpaper-osx-forest-apple-waterfall-173.jpg");
    filter: brightness(.8)
}
.ui_window--active .ui_window__head__close{
   /* background: linear-gradient(#d96a6a, #d25555) !important;*/
    background: linear-gradient(#f37c72,#e45c4f) !important;
}

.ui_window__head__pin, .ui_window__head__config, .ui_window__head__reload, .ui_window__head__help, .ui_window__head__minimize, .ui_window__head__maximize, .ui_window__head__maximized {
    /*background: linear-gradient(#ddddddc7, #0000000f) !important;*/
    width: 24px;
    text-align: center;
}
.ui_window__head__pin, .ui_window__head__config, .ui_window__head__reload, .ui_window__head__help:before, .ui_window__head__minimize:before, .ui_window__head__maximize:before, .ui_window__head__maximized:before {
    width: 18px;

    text-align: center;
}

/*.ui_window__head__minimize:before{
    content: ''
}
.ui_window__head__maximize:before{
    content: ''
}
.ui_window__head__close:before{
    content: ''
}*/

.ui_window__head__title, .ui_window__head {
    overflow:visible !important;
}

.ui_window__head__pin, .ui_window__head__config, .ui_window__head__reload, .ui_window__head__help, .ui_window__head__minimize, .ui_window__head__maximize, .ui_window__head__maximized, .ui_window__head__close {

    /* apply to all window buttons */

    height: 19px !important;
    /*text-shadow: 0px 0px 2px #000000db, 0px 0px 2px #000000db;*/
    border-color: #1717177d !important;
    outline: 0;
   cursor: default;
    font-weight: 700;
    font-size: 5pt;
    background: linear-gradient(#cacaca63, #fff3) !important;

}

.ui_window__head__pin, .ui_window__head__config, .ui_window__head__reload, .ui_window__head__help:before, .ui_window__head__minimize:before, .ui_window__head__maximize:before, .ui_window__head__maximized:before,  .ui_window__head__close:before{
 outline: 0;

}


.ui_window {
    padding-left: 5px !important;
    padding-right: 5px !important;
    padding-top: 2px !important;
    padding-bottom: 5px !important;
    /* old: c0c0c0 */
    --window-border: #eeeeee57;
    box-shadow: 1px 0 var(--window-border), 0 1px var(--window-border), 1px 1px var(--window-border),
    2px 2px 6px #0000006e !important;

    border-top: 1px solid var(--window-border) !important;
    border-left: 1px solid var(--window-border) !important;
    /*background-color: #dddada73 !important;*/
    background: linear-gradient(#97979745,#40404069 32px) !important;
   /* DEBUG background: linear-gradient(#f00    ,#00ff3882 32px) !important;*/

    font-size: 9pt;
    overflow:visible;


}
.ui_window__head__title{
     /*text-shadow: 0px 0px 7px #000000d1;*/
    text-shadow: 0px 0px 7px #fff, 0px 0px 7px #fff;
    color: black;
}

.ui_window_docked{
   margin-bottom: 4px;
    margin-top: 0px !important;

    width: 44px !important;
    max-width: 44px !important;
    background: linear-gradient(#ffffff2b,#ffffff57) !important;
    border-color: #ffffff8a !important;
    outline: 0;
}


.ui_window__head__close{
    width:42px;
    max-width: 42px;

}

.ui_window__head__pin, .ui_window__head__config, .ui_window__head__reload, .ui_window__head__help:hover, .ui_window__head__minimize:hover, .ui_window__head__maximize:hover, .ui_window__head__maximized:hover {
    background: linear-gradient(#82a2bf, #85aecc9e) !important;
}

.ui_window__head__close:hover {
    /*background: linear-gradient(#d05e57, #e1726b) !important;*/
     background: linear-gradient(#ea766d,#ff7264) !important;
}

.ui_window_docked:hover{

    background: linear-gradient(#ffffff2b,#a6c9c9) !important;
}

.ui_window_docked.pressed{

    background: linear-gradient(#ffffff6b,#ffffff9e) !important;

}

.ui_window_docked.pressed:hover{

    background: linear-gradient(#ffffff6b,#9bd5d5) !important;

}
.ui_window_docked:hover,.ui_window_docked:active, .ui_window_docked:focus{

     outline: 0;
}


.ui_combo_one__main{
    height: 40px;
}

.ui_combo_one{
    height: 40px !important;
}

#s42_taskbar{
    background: #2226;
    border-top: 1px solid #ffffff42;
}

#s42_clock{
    font-family: "Segoe UI", Arial, Helvetica, sans-serif !important;
    margin-bottom: 3px !important;
    text-align: center;
    padding-bottom: 30px !important;
}



/*#s42_start > img {
display: none;
}*/

/*#s42_start::before {
content: url("https://media.discordapp.net/attachments/323150287399419904/707006060048941126/start.png");
    padding-left: 7px;
}*/


/* SECTION: REMOVE CUSTOMCURSORS */

.cursor_pointer, .app_corglitch, .ui_notif span, .ui_menu .ui_menu__item, .ui_icon>img, .ui_icon>.ico, .ui_icon>span, a{
    cursor: pointer;
}
button, .btn{
    cursor: default;
}
.ui_window--draggable{
    cursor: move;
}
.cursor_default, label, .ui_menu--scroller>.ui_menu__up_handler:disabled, .ui_menu--scroller>.ui_menu__down_handler:disabled, .ui_menu .ui_menu__item--disabled, html, body, input[readonly]:not([type="checkbox"]):not([type="radio"]):not([type="range"]), textarea[readonly]{
    cursor: default;
}


/* END OF SECTION: REMOVE CUSTOMCURSORS */

#ui_explorer_0>.ui_icon__lnk42{
    text-shadow: 1px 1px 4px #000, 1px 1px 4px #000, 1px 1px 4px #000, 1px 1px 4px #000 !important;
    font-size: 9pt;
}


/*
-----------------------------
custom window content, like buttons
-----------------------------
*/

.btn, button:not(.unstyled){
    background-color: #e1e1e1;
    border: 1px solid #adadad;
    box-shadow: none;
}
@keyframes hfx{
    from{
    background-color: #e1e1e1;
    border: 1px solid #adadad;
    }
    to{
    background-color: #e5f1fb;
    border: 1px solid #0078d7 !important;
    }
}
.btn:hover, button:not(.unstyled):not( .ui_window__head__close):not(.ui_window__head__minimize):not(.ui_window__head__maximize):hover{
  animation-duration: 0.6s;
  animation-name: hfx;
    background-color: #e5f1fb;
    border: 1px solid #0078d7 !important;
}

.btn:active, button:not(.unstyled):active{
    animation-name: none !important;
    background-color: #cce4f7 !important;
    border: 1px solid #005499 !important;
}

.btn:focus, button:focus, input[type=reset]:focus, input[type=submit]:focus, input[type=button]:focus{
    outline: 0;
}

.ui_window__foot, .ui_window__body{
    background-color: #ffffff;
    font-size: 10pt;
}

.ui_window__foot{
    height: 30px;
    border-top: 1px inset #00000045;
    float: right !important;
    text-align: right !important;
    background-color: #f0f0f0;
}

.ui_window__foot > div > button{
   margin-right: 8px !important;
}
.ui_window__buttons{
    text-align: right !important;
}

.ui_window__menu{
    background-color: #f5f6f7;
    margin-left: 1px;
    height: 23px;

}

/* heckin chonker XdXdXDX incoming */
/* its just minified css that removes the inset when pressing on any button */
.btn.active,.btn.always-pressed,.btn.pressed,.btn.selected,.btn:active:not(:disabled),button:not(.unstyled).active,button:not(.unstyled).always-pressed,button:not(.unstyled).pressed,button:not(.unstyled).selected,button:not(.unstyled):active:not(:disabled),input[type=button].active,input[type=button].always-pressed,input[type=button].pressed,input[type=button].selected,input[type=button]:active:not(:disabled),input[type=reset].active,input[type=reset].always-pressed,input[type=reset].pressed,input[type=reset].selected,input[type=reset]:active:not(:disabled),input[type=submit].active,input[type=submit].always-pressed,input[type=submit].pressed,input[type=submit].selected,input[type=submit]:active:not(:disabled){border-top:1px solid #000;border-left:1px solid #000;border-right:1px solid #dfdfdf;border-bottom:1px solid #dfdfdf;box-shadow:none!important}


.ui_window{

   backdrop-filter: blur(3px) brightness(0.94);
}


/*show desktop fix*/
#showdesktop{

    margin-bottom: 0px;
    margin-top: 0px !important;
    width: 44px !important;
    max-width: 44px !important;
    background: linear-gradient(#ffffff2b,#ffffff57) !important;
    border-color: #6262628a !important;
    outline: 0;
}

#showdesktop:hover{

    margin-bottom: 0px;
    margin-top: 0px !important;
    width: 44px !important;
    max-width: 44px !important;
    background: linear-gradient(#ffffff82,#fff6) !important;
    border-color: #6262628a !important;
    outline: 0;
}

#showdesktop:active{

    margin-bottom: 0px;
    margin-top: 0px !important;
    width: 44px !important;
    max-width: 44px !important;
    background: linear-gradient(#ffffff8a,#ffffffc2) !important;
    border-color: #6262628a !important;
    outline: 0;
}

/* menu time */

.ui_menu--bar .ui_menu__submenu ul, .ui_menu--menu ul, .ui_menu--menu .ui_menu__submenu ul{
    color: #000;
    border: 1px solid #a0a0a0;
    box-shadow:  3px 3px 5px #00000047;
    background-color: #eeeeee;
    position: relative;
    font-size: 9pt;
    min-width: 200px !important;
}

.ui_menu--menu .ui_menu__item--focus, .ui_menu--bar>ul>.ui_menu__item--focus, .ui_menu--bar .ui_menu__submenu .ui_menu__item--focus{
    cursor: default !important;
    background-color: #ffffff;
    color: #000;
}

.ui_menu__item{
    cursor: default !important;
    margin-top: 2px !important;
    margin-bottom: 2px !important;
}

/* start menu shadow removal*/
#ui_menu_3 > ul{
    box-shadow: none;
}

@keyframes mfade{
    from{
    opacity: 0.0;
    }
    to{
    opacity: 1.0;
    }
}

.ui_menu--open{
    animation-duration: 0.15s;
    animation-name: mfade;
}

.ui_select_box{
    border: 1px solid #3399ff !important;
    background-color: #2482df54 !important;
    z-index: 0 !important;
}

.ui_menu__separator{
    border-bottom: 0;
    display: none;
}
hr{
        height: 1px;
        background-color: #ccc;
        border: none;
}

.ui_menu__item__key{
    display: none
}

.ui_menu--bar .ui_menu__item--opener:after, .ui_menu--menu .ui_menu__item--opener:after, .ui_menu--tree .ui_menu__item--opener:after{
    content: ">";
    font-size:9pt;
    margin: 0 !important;
    padding: 0 !important;

}
/** TEMP - remove help window button as windows does not have one that often **/
.ui_window__head__help{
    display: none;
}





/* EXPERIMENTAL CODE */
#s42_bgback{
    position: fixed;
    bottom: 0;
    z-index: 9999 !important;
    width: 100%;
}

code,.ui_terminal,#ui_window_594 > section > code > div:nth-child(1) > div, code > div:nth-child(2) > textarea{
    background-color: black !important;
    font-family: Consolas, monospace !important;
    font-size: 9pt !important;
}
